org.eclipse.viatra.transformation.debug.communication

## Class DebuggerTargetEndpoint

- java.lang.Object
- - javax.management.NotificationBroadcasterSupport
  - - org.eclipse.viatra.transformation.debug.communication.DebuggerTargetEndpoint

- All Implemented Interfaces:
    javax.management.NotificationBroadcaster, javax.management.NotificationEmitter, DebuggerTargetEndpointMBean, IDebuggerTargetAgent

      public class DebuggerTargetEndpoint
      extends javax.management.NotificationBroadcasterSupport
      implements IDebuggerTargetAgent, DebuggerTargetEndpointMBean

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DebuggerTargetEndpoint(java.lang.String ID, org.eclipse.viatra.transformation.debug.TransformationDebugger debugger)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `activationFired(Activation<?> activation)`
    `void` | `activationFiring(Activation<?> activation)`
    `void` | `addBreakpoint(ITransformationBreakpointHandler breakpoint)`
    `void` | `addedRule(RuleSpecification<?> specification, EventFilter<?> filter)`
    `void` | `breakpointHit(ITransformationBreakpointHandler breakpoint)`
    `void` | `conflictSetChanged(java.util.Set<Activation<?>> nextActivations, java.util.Set<Activation<?>> conflictingActivations)`
    `void` | `continueExecution()`
    `void` | `disableBreakpoint(ITransformationBreakpointHandler breakpoint)`
    `void` | `disconnect()`
    `void` | `enableBreakpoint(ITransformationBreakpointHandler breakpoint)`
    `java.util.Map<java.lang.String,java.util.List<TransformationModelElement>>` | `getChildren(TransformationModelElement parent)`
    `java.util.Map<java.lang.String,java.util.List<TransformationModelElement>>` | `getCrossReferences(TransformationModelElement parent)`
    `java.lang.String` | `getID()`
    `javax.management.MBeanNotificationInfo[]` | `getNotificationInfo()`
    `java.util.List<TransformationModelElement>` | `getRootElements()`
    `void` | `nextActivationChanged(Activation<?> activation)`
    `void` | `removeBreakpoint(ITransformationBreakpointHandler breakpoint)`
    `void` | `removedRule(RuleSpecification<?> specification, EventFilter<?> filter)`
    `void` | `setNextActivation(ActivationTrace activation)`
    `void` | `stepForward()`
    `void` | `suspended()`
    `void` | `terminated()`

    - ### Methods inherited from class javax.management.NotificationBroadcasterSupport

      `addNotificationListener, handleNotification, removeNotificationListener, removeNotificationListener, sendNotification`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DebuggerTargetEndpoint

          public DebuggerTargetEndpoint(java.lang.String ID,
                                        org.eclipse.viatra.transformation.debug.TransformationDebugger debugger)

  - ### Method Detail

    - #### getID

          public java.lang.String getID()

      Specified by:
        `getID` in interface `DebuggerTargetEndpointMBean`

    - #### stepForward

          public void stepForward()

      Specified by:
        `stepForward` in interface `DebuggerTargetEndpointMBean`

    - #### continueExecution

          public void continueExecution()

      Specified by:
        `continueExecution` in interface `DebuggerTargetEndpointMBean`

    - #### setNextActivation

          public void setNextActivation(ActivationTrace activation)

      Specified by:
        `setNextActivation` in interface `DebuggerTargetEndpointMBean`

    - #### addBreakpoint

          public void addBreakpoint(ITransformationBreakpointHandler breakpoint)
                             throws ViatraDebuggerException

      Specified by:
        `addBreakpoint` in interface `DebuggerTargetEndpointMBean`
      Throws:
        `ViatraDebuggerException`

    - #### removeBreakpoint

          public void removeBreakpoint(ITransformationBreakpointHandler breakpoint)

      Specified by:
        `removeBreakpoint` in interface `DebuggerTargetEndpointMBean`

    - #### disableBreakpoint

          public void disableBreakpoint(ITransformationBreakpointHandler breakpoint)

      Specified by:
        `disableBreakpoint` in interface `DebuggerTargetEndpointMBean`

    - #### enableBreakpoint

          public void enableBreakpoint(ITransformationBreakpointHandler breakpoint)

      Specified by:
        `enableBreakpoint` in interface `DebuggerTargetEndpointMBean`

    - #### disconnect

          public void disconnect()

      Specified by:
        `disconnect` in interface `DebuggerTargetEndpointMBean`

    - #### suspended

          public void suspended()

      Specified by:
        `suspended` in interface `IDebuggerTargetAgent`

    - #### breakpointHit

          public void breakpointHit(ITransformationBreakpointHandler breakpoint)

      Specified by:
        `breakpointHit` in interface `IDebuggerTargetAgent`

    - #### terminated

          public void terminated()
                          throws ViatraDebuggerException

      Specified by:
        `terminated` in interface `IDebuggerTargetAgent`
      Throws:
        `ViatraDebuggerException`

    - #### conflictSetChanged

          public void conflictSetChanged(java.util.Set<Activation<?>> nextActivations,
                                         java.util.Set<Activation<?>> conflictingActivations)

      Specified by:
        `conflictSetChanged` in interface `IDebuggerTargetAgent`

    - #### activationFired

          public void activationFired(Activation<?> activation)

      Specified by:
        `activationFired` in interface `IDebuggerTargetAgent`

    - #### activationFiring

          public void activationFiring(Activation<?> activation)

      Specified by:
        `activationFiring` in interface `IDebuggerTargetAgent`

    - #### addedRule

          public void addedRule(RuleSpecification<?> specification,
                                EventFilter<?> filter)

      Specified by:
        `addedRule` in interface `IDebuggerTargetAgent`

    - #### removedRule

          public void removedRule(RuleSpecification<?> specification,
                                  EventFilter<?> filter)

      Specified by:
        `removedRule` in interface `IDebuggerTargetAgent`

    - #### nextActivationChanged

          public void nextActivationChanged(Activation<?> activation)

      Specified by:
        `nextActivationChanged` in interface `IDebuggerTargetAgent`

    - #### getNotificationInfo

          public javax.management.MBeanNotificationInfo[] getNotificationInfo()

      Specified by:
        `getNotificationInfo` in interface `javax.management.NotificationBroadcaster`
      Overrides:
        `getNotificationInfo` in class `javax.management.NotificationBroadcasterSupport`

    - #### getRootElements

          public java.util.List<TransformationModelElement> getRootElements()

      Specified by:
        `getRootElements` in interface `DebuggerTargetEndpointMBean`

    - #### getChildren

          public java.util.Map<java.lang.String,java.util.List<TransformationModelElement>> getChildren(TransformationModelElement parent)

      Specified by:
        `getChildren` in interface `DebuggerTargetEndpointMBean`

    - #### getCrossReferences

          public java.util.Map<java.lang.String,java.util.List<TransformationModelElement>> getCrossReferences(TransformationModelElement parent)

      Specified by:
        `getCrossReferences` in interface `DebuggerTargetEndpointMBean`